Bug 151594 - Formulas and bullet points
Formulas and bullet points
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-03-20 10:06 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.9.87-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-24 08:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 43538 None None None Never

  None (edit)
Description Paul F. Johnson 2005-03-20 10:06:15 EST
Description of problem:
If a formula is dragged to move it onto a bullet point, the formula moves down
as so does the bullet point. Attempting to put a formula directly next to a
bullet causes OOo to crash

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a formula then create a bullet point
2. Drag the formula to go next to the bullet point
3. Create a bullet point and then attempt to add a formula
Actual results:
In steps 1-2, the formula moves to where the bullet point was and the bullet
point moves down.
In step 3, OOo dies

Expected results:
The formula should be moved/inserted next to the bullet

Additional info:
I'm raising this as a new bug as the behaviour seems slightly different to the
last time I reported it
Comment 1 Caolan McNamara 2005-03-21 05:41:25 EST
I'll backport the fix from http://qa.openoffice.org/issues/show_bug.cgi?id=43538
for the crash. the 1-2 steps are expected behaviour, but 3 should work and be
the right way to do it. Hopefully 1.9.87-1 will correct the crash.
Comment 2 Paul F. Johnson 2005-03-21 08:01:28 EST
That doesn't look like the right bug to me ;-p
Comment 3 Caolan McNamara 2005-03-21 08:07:38 EST
Different way to get to the same crash, the backtrace of the crash location
looks the same, we'll see in the next build
Comment 4 Caolan McNamara 2005-03-24 08:40:05 EST
Inserting a bullet point and then inserting a formula works in 1.9.87-2 without
crash, the other behaviour is intentional unless you right click on the formula
and change the anchor away from "As Character"

Note You need to log in before you can comment on or make changes to this bug.